import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { GetTopicAttributesInput } from "../types/GetTopicAttributesInput";
import { GetTopicAttributesOutput } from "../types/GetTopicAttributesOutput";
import { SNSResolvedConfiguration } from "../SNSConfiguration";
export * from "../types/GetTopicAttributesInput";
export * from "../types/GetTopicAttributesOutput";
export * from "../types/GetTopicAttributesExceptionsUnion";
export declare class GetTopicAttributesCommand implements __aws_sdk_types.Command<InputTypesUnion, GetTopicAttributesInput, OutputTypesUnion, GetTopicAttributesOutput, SNSResolvedConfiguration, Blob> {
    readonly input: GetTopicAttributesInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<GetTopicAttributesInput, GetTopicAttributesOutput, Blob>;
    constructor(input: GetTopicAttributesInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: SNSResolvedConfiguration): __aws_sdk_types.Handler<GetTopicAttributesInput, GetTopicAttributesOutput>;
}
