"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var CheckIfPhoneNumberIsOptedOutInput_1 = require("../shapes/CheckIfPhoneNumberIsOptedOutInput");
var CheckIfPhoneNumberIsOptedOutOutput_1 = require("../shapes/CheckIfPhoneNumberIsOptedOutOutput");
var ThrottledException_1 = require("../shapes/ThrottledException");
var InternalErrorException_1 = require("../shapes/InternalErrorException");
var AuthorizationErrorException_1 = require("../shapes/AuthorizationErrorException");
var InvalidParameterException_1 = require("../shapes/InvalidParameterException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.CheckIfPhoneNumberIsOptedOut = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CheckIfPhoneNumberIsOptedOut",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: CheckIfPhoneNumberIsOptedOutInput_1.CheckIfPhoneNumberIsOptedOutInput
    },
    output: {
        shape: CheckIfPhoneNumberIsOptedOutOutput_1.CheckIfPhoneNumberIsOptedOutOutput,
        resultWrapper: "CheckIfPhoneNumberIsOptedOutResult"
    },
    errors: [
        {
            shape: ThrottledException_1.ThrottledException
        },
        {
            shape: InternalErrorException_1.InternalErrorException
        },
        {
            shape: AuthorizationErrorException_1.AuthorizationErrorException
        },
        {
            shape: InvalidParameterException_1.InvalidParameterException
        }
    ]
};
//# sourceMappingURL=CheckIfPhoneNumberIsOptedOut.js.map