"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ListSubscriptionsByTopicInput_1 = require("../shapes/ListSubscriptionsByTopicInput");
var ListSubscriptionsByTopicOutput_1 = require("../shapes/ListSubscriptionsByTopicOutput");
var InvalidParameterException_1 = require("../shapes/InvalidParameterException");
var InternalErrorException_1 = require("../shapes/InternalErrorException");
var NotFoundException_1 = require("../shapes/NotFoundException");
var AuthorizationErrorException_1 = require("../shapes/AuthorizationErrorException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.ListSubscriptionsByTopic = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ListSubscriptionsByTopic",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: ListSubscriptionsByTopicInput_1.ListSubscriptionsByTopicInput
    },
    output: {
        shape: ListSubscriptionsByTopicOutput_1.ListSubscriptionsByTopicOutput,
        resultWrapper: "ListSubscriptionsByTopicResult"
    },
    errors: [
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: InternalErrorException_1.InternalErrorException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: AuthorizationErrorException_1.AuthorizationErrorException
        }
    ]
};
//# sourceMappingURL=ListSubscriptionsByTopic.js.map