"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var RemovePermissionInput_1 = require("../shapes/RemovePermissionInput");
var RemovePermissionOutput_1 = require("../shapes/RemovePermissionOutput");
var InvalidParameterException_1 = require("../shapes/InvalidParameterException");
var InternalErrorException_1 = require("../shapes/InternalErrorException");
var AuthorizationErrorException_1 = require("../shapes/AuthorizationErrorException");
var NotFoundException_1 = require("../shapes/NotFoundException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.RemovePermission = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "RemovePermission",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: RemovePermissionInput_1.RemovePermissionInput
    },
    output: {
        shape: RemovePermissionOutput_1.RemovePermissionOutput
    },
    errors: [
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: InternalErrorException_1.InternalErrorException
        },
        {
            shape: AuthorizationErrorException_1.AuthorizationErrorException
        },
        {
            shape: NotFoundException_1.NotFoundException
        }
    ]
};
//# sourceMappingURL=RemovePermission.js.map