"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var SetSMSAttributesInput_1 = require("../shapes/SetSMSAttributesInput");
var SetSMSAttributesOutput_1 = require("../shapes/SetSMSAttributesOutput");
var InvalidParameterException_1 = require("../shapes/InvalidParameterException");
var ThrottledException_1 = require("../shapes/ThrottledException");
var InternalErrorException_1 = require("../shapes/InternalErrorException");
var AuthorizationErrorException_1 = require("../shapes/AuthorizationErrorException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.SetSMSAttributes = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "SetSMSAttributes",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: SetSMSAttributesInput_1.SetSMSAttributesInput
    },
    output: {
        shape: SetSMSAttributesOutput_1.SetSMSAttributesOutput,
        resultWrapper: "SetSMSAttributesResult"
    },
    errors: [
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: ThrottledException_1.ThrottledException
        },
        {
            shape: InternalErrorException_1.InternalErrorException
        },
        {
            shape: AuthorizationErrorException_1.AuthorizationErrorException
        }
    ]
};
//# sourceMappingURL=SetSMSAttributes.js.map