"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var UnsubscribeInput_1 = require("../shapes/UnsubscribeInput");
var UnsubscribeOutput_1 = require("../shapes/UnsubscribeOutput");
var InvalidParameterException_1 = require("../shapes/InvalidParameterException");
var InternalErrorException_1 = require("../shapes/InternalErrorException");
var AuthorizationErrorException_1 = require("../shapes/AuthorizationErrorException");
var NotFoundException_1 = require("../shapes/NotFoundException");
var InvalidSecurityException_1 = require("../shapes/InvalidSecurityException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.Unsubscribe = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "Unsubscribe",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: UnsubscribeInput_1.UnsubscribeInput
    },
    output: {
        shape: UnsubscribeOutput_1.UnsubscribeOutput
    },
    errors: [
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: InternalErrorException_1.InternalErrorException
        },
        {
            shape: AuthorizationErrorException_1.AuthorizationErrorException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: InvalidSecurityException_1.InvalidSecurityException
        }
    ]
};
//# sourceMappingURL=Unsubscribe.js.map