import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { SetEndpointAttributesInput } from "../types/SetEndpointAttributesInput";
import { SetEndpointAttributesOutput } from "../types/SetEndpointAttributesOutput";
import { SNSResolvedConfiguration } from "../SNSConfiguration";
export * from "../types/SetEndpointAttributesInput";
export * from "../types/SetEndpointAttributesOutput";
export * from "../types/SetEndpointAttributesExceptionsUnion";
export declare class SetEndpointAttributesCommand implements __aws_sdk_types.Command<InputTypesUnion, SetEndpointAttributesInput, OutputTypesUnion, SetEndpointAttributesOutput, SNSResolvedConfiguration, Blob> {
    readonly input: SetEndpointAttributesInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<SetEndpointAttributesInput, SetEndpointAttributesOutput, Blob>;
    constructor(input: SetEndpointAttributesInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: SNSResolvedConfiguration): __aws_sdk_types.Handler<SetEndpointAttributesInput, SetEndpointAttributesOutput>;
}
