"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var SetEndpointAttributesInput_1 = require("../shapes/SetEndpointAttributesInput");
var SetEndpointAttributesOutput_1 = require("../shapes/SetEndpointAttributesOutput");
var InvalidParameterException_1 = require("../shapes/InvalidParameterException");
var InternalErrorException_1 = require("../shapes/InternalErrorException");
var AuthorizationErrorException_1 = require("../shapes/AuthorizationErrorException");
var NotFoundException_1 = require("../shapes/NotFoundException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.SetEndpointAttributes = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "SetEndpointAttributes",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: SetEndpointAttributesInput_1.SetEndpointAttributesInput
    },
    output: {
        shape: SetEndpointAttributesOutput_1.SetEndpointAttributesOutput
    },
    errors: [
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: InternalErrorException_1.InternalErrorException
        },
        {
            shape: AuthorizationErrorException_1.AuthorizationErrorException
        },
        {
            shape: NotFoundException_1.NotFoundException
        }
    ]
};
//# sourceMappingURL=SetEndpointAttributes.js.map